Chromium Code Reviews
Help | Chromium Project | Sign in
(2)

Issue 10968049: Disable right button drag in omnibox (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 8 months ago by simonhong_
Modified:
2 years, 8 months ago
Reviewers:
sky
CC:
chromium-reviews, tfarina, James Su
Base URL:
http://git.chromium.org/chromium/src.git@new
Visibility:
Public.

Description

Disable right button drag in omnibox Dragging with the right button should never select any text or change any existing selection. BUG=128441 TEST=Compiles and Manual Test Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=158682

Patch Set 1 #

Total comments: 3

Patch Set 2 : Deliver drag event to omnibox_view #

Total comments: 1

Patch Set 3 : Disable right button dragging in Textfield" #

Unified diffs Side-by-side diffs Delta from patch set Stats (+7 lines, -0 lines) Patch
M ui/views/controls/textfield/textfield.h View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M ui/views/controls/textfield/textfield.cc View 1 2 1 chunk +6 lines, -0 lines 0 comments Download
Commit: CQ not working?

Messages

Total messages: 10 (0 generated)
simonhong_
Dear Scott, Please review this patch. Thank you.
2 years, 8 months ago (2012-09-22 12:49:35 UTC) #1
sky
https://codereview.chromium.org/10968049/diff/1/chrome/browser/ui/views/omnibox/omnibox_view_views.cc File chrome/browser/ui/views/omnibox/omnibox_view_views.cc (right): https://codereview.chromium.org/10968049/diff/1/chrome/browser/ui/views/omnibox/omnibox_view_views.cc#newcode117 chrome/browser/ui/views/omnibox/omnibox_view_views.cc:117: views::Textfield::OnMouseReleased(event); Do things get confused without forwarding the release?
2 years, 8 months ago (2012-09-24 14:03:02 UTC) #2
simonhong_
https://codereview.chromium.org/10968049/diff/1/chrome/browser/ui/views/omnibox/omnibox_view_views.cc File chrome/browser/ui/views/omnibox/omnibox_view_views.cc (right): https://codereview.chromium.org/10968049/diff/1/chrome/browser/ui/views/omnibox/omnibox_view_views.cc#newcode117 chrome/browser/ui/views/omnibox/omnibox_view_views.cc:117: views::Textfield::OnMouseReleased(event); You mean context menu also need to disable ...
2 years, 8 months ago (2012-09-24 16:32:20 UTC) #3
sky
https://codereview.chromium.org/10968049/diff/1/chrome/browser/ui/views/omnibox/omnibox_view_views.cc File chrome/browser/ui/views/omnibox/omnibox_view_views.cc (right): https://codereview.chromium.org/10968049/diff/1/chrome/browser/ui/views/omnibox/omnibox_view_views.cc#newcode117 chrome/browser/ui/views/omnibox/omnibox_view_views.cc:117: views::Textfield::OnMouseReleased(event); On 2012/09/24 16:32:21, Simon Hong wrote: > You ...
2 years, 8 months ago (2012-09-24 16:48:09 UTC) #4
simonhong_
I modified delivering drag event to omnibox_view_. Drag event only blocks modifying of text field.
2 years, 8 months ago (2012-09-24 17:17:12 UTC) #5
sky
https://codereview.chromium.org/10968049/diff/5001/chrome/browser/ui/views/omnibox/omnibox_view_views.cc File chrome/browser/ui/views/omnibox/omnibox_view_views.cc (right): https://codereview.chromium.org/10968049/diff/5001/chrome/browser/ui/views/omnibox/omnibox_view_views.cc#newcode111 chrome/browser/ui/views/omnibox/omnibox_view_views.cc:111: result = views::Textfield::OnMouseDragged(event); I think we should do this ...
2 years, 8 months ago (2012-09-24 20:54:08 UTC) #6
simonhong_
Dear Scott, I implemented in Textfield. Thank you. On 2012/09/24 20:54:08, sky wrote: > https://codereview.chromium.org/10968049/diff/5001/chrome/browser/ui/views/omnibox/omnibox_view_views.cc ...
2 years, 8 months ago (2012-09-25 13:10:53 UTC) #7
sky
LGTM
2 years, 8 months ago (2012-09-25 16:01:42 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/simon.hong81@gmail.com/10968049/8001
2 years, 8 months ago (2012-09-25 21:32:43 UTC) #9
commit-bot: I haz the power
2 years, 8 months ago (2012-09-25 23:11:21 UTC) #10
Change committed as 158682
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ec887be